OnlyFans API
FanslyLists

Create List

Create a new subscriber/fan list.

POST
/api/fansly/{fanslyAccount}/lists
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Request Body

application/json

label*string

The name of the list.

type?integer

List type code. Defaults to 1 (subscriber list).

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/lists" \  -H "Content-Type: application/json" \  -d '{    "label": "VIPs"  }'
{
  "data": {
    "accountId": "800000000000000001",
    "type": 1,
    "label": "Test list",
    "id": "200000000000000003"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055789,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}